Bug 892142 (CVE-2013-0746) - CVE-2013-0746 Mozilla: Compartment mismatch with quickstubs returned values (MFSA 2013-09)
Summary: CVE-2013-0746 Mozilla: Compartment mismatch with quickstubs returned values (...
Status: CLOSED ERRATA
Alias: CVE-2013-0746
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20130108,repor...
Keywords: Security
Depends On:
Blocks: 890133
TreeView+ depends on / blocked
 
Reported: 2013-01-05 13:23 UTC by Huzaifa S. Sidhpurwala
Modified: 2013-04-12 16:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 16:09:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0144 normal SHIPPED_LIVE Critical: firefox security update 2013-01-09 02:36:56 UTC
Red Hat Product Errata RHSA-2013:0145 normal SHIPPED_LIVE Critical: thunderbird security update 2013-01-09 02:15:27 UTC

Description Huzaifa S. Sidhpurwala 2013-01-05 13:23:48 UTC
Mozilla developer Boris Zbarsky reported reported a problem where jsval-returning quickstubs fail to wrap their return values, causing a compartment mismatch. This mismatch can cause garbage collection to occur incorrectly and lead to a potentially exploitable crash.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products. 


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-09.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Boris Zbarsky as the original reporter.

Comment 1 errata-xmlrpc 2013-01-08 21:17:12 UTC
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0145 https://rhn.redhat.com/errata/RHSA-2013-0145.html

Comment 2 errata-xmlrpc 2013-01-08 21:39:05 UTC
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0144 https://rhn.redhat.com/errata/RHSA-2013-0144.html


Note You need to log in before you can comment on or make changes to this bug.